import request from '@/utils/request'

// 查询特种设备压力容器台账历史列表
export function listYlrq(query) {
  return request({
    url: '/his/ylrq/list',
    method: 'get',
    params: query
  })
}

// 查询特种设备压力容器台账历史详细
export function getYlrq(id) {
  return request({
    url: '/his/ylrq/' + id,
    method: 'get'
  })
}

// 新增特种设备压力容器台账历史
export function addYlrq(data) {
  return request({
    url: '/his/ylrq',
    method: 'post',
    data: data
  })
}

// 修改特种设备压力容器台账历史
export function updateYlrq(data) {
  return request({
    url: '/his/ylrq',
    method: 'put',
    data: data
  })
}

// 删除特种设备压力容器台账历史
export function delYlrq(id) {
  return request({
    url: '/his/ylrq/' + id,
    method: 'delete'
  })
}

// 导出特种设备压力容器台账历史
export function exportYlrq(query) {
  return request({
    url: '/his/ylrq/export',
    method: 'get',
    params: query
  })
}